summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson2010-07-29 10:50:50 +0200
committer Erik Hanson2010-08-01 05:31:51 +0200
commitd09ccd2766c482549bc1a3b28a9ff568bbe21303 (patch)
tree50ee0717579897bd2a007eaf7440c7b01a5f117f
parente4f43886bfac6aab702272c29415e26aa4507a21 (diff)
downloadslackbuilds-d09ccd2766c482549bc1a3b28a9ff568bbe21303.tar.gz
graphics/hugin: Added (Panorama photo stitcher)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--graphics/hugin/README9
-rw-r--r--graphics/hugin/doinst.sh14
-rw-r--r--graphics/hugin/hugin.SlackBuild96
-rw-r--r--graphics/hugin/hugin.info10
-rw-r--r--graphics/hugin/libpng14-fix.diff19
-rw-r--r--graphics/hugin/slack-desc19
6 files changed, 167 insertions, 0 deletions
diff --git a/graphics/hugin/README b/graphics/hugin/README
new file mode 100644
index 0000000000..66867e1fbf
--- /dev/null
+++ b/graphics/hugin/README
@@ -0,0 +1,9 @@
+An easy to use cross-platform panoramic imaging toolchain based on
+Panorama Tools. With hugin you can assemble a mosaic of photographs
+into a complete immersive panorama, stitch any series of overlapping
+pictures and much more.
+
+This requires libpano13 and either wxPython, wxGTK, or wxX11 to build,
+and exiftool, enblend-enfuse, autopano-sift-C are required for it to run.
+
+This build was only tested with wxPython, so consider that when choosing.
diff --git a/graphics/hugin/doinst.sh b/graphics/hugin/doinst.sh
new file mode 100644
index 0000000000..38e5e51fc5
--- /dev/null
+++ b/graphics/hugin/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/gnome >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/hugin/hugin.SlackBuild b/graphics/hugin/hugin.SlackBuild
new file mode 100644
index 0000000000..3b77b4dfa4
--- /dev/null
+++ b/graphics/hugin/hugin.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+#
+# Slackware build script for Hugin
+#
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hugin
+VERSION=2009.4.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+patch -p1 < $CWD/libpng14-fix.diff
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_EXE_LINKER_FLAGS="-lpthread" \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ -DCMAKE_INSTALL_PREFIX=/usr .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL_cmake LICENCE_VIGRA README README_JP \
+ README_WINDOWS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/hugin/hugin.info b/graphics/hugin/hugin.info
new file mode 100644
index 0000000000..fb2d200162
--- /dev/null
+++ b/graphics/hugin/hugin.info
@@ -0,0 +1,10 @@
+PRGNAM="hugin"
+VERSION="2009.4.0"
+HOMEPAGE="http://hugin.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/hugin/hugin-2009.4.0.tar.gz"
+MD5SUM="ed197d35213a46c77489f512cb8ff191"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/graphics/hugin/libpng14-fix.diff b/graphics/hugin/libpng14-fix.diff
new file mode 100644
index 0000000000..c6db4691a8
--- /dev/null
+++ b/graphics/hugin/libpng14-fix.diff
@@ -0,0 +1,19 @@
+
+diff -r 827cc1b11702 -r f978e43bbdd4 src/foreign/vigra/vigra_impex/png.cxx
+--- a/src/foreign/vigra/vigra_impex/png.cxx Mon Aug 20 12:59:12 2007 +0000
++++ b/src/foreign/vigra/vigra_impex/png.cxx Mon Feb 01 15:10:49 2010 +0000
+@@ -271,8 +271,8 @@
+ // expand gray values to at least one byte size
+ if ( color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8 ) {
+ if (setjmp(png->jmpbuf))
+- vigra_postcondition( false,png_error_message.insert(0, "error in png_set_gray_1_2_4_to_8(): ").c_str());
+- png_set_gray_1_2_4_to_8(png);
++ vigra_postcondition( false,png_error_message.insert(0, "error in png_set_expand_gray_1_2_4_to_8(): ").c_str());
++ png_set_expand_gray_1_2_4_to_8(png);
+ bit_depth = 8;
+ }
+
+
+
+
+
diff --git a/graphics/hugin/slack-desc b/graphics/hugin/slack-desc
new file mode 100644
index 0000000000..41b73237e5
--- /dev/null
+++ b/graphics/hugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hugin: Hugin (Panorama photo stitcher)
+hugin:
+hugin: An easy to use cross-platform panoramic imaging toolchain based on
+hugin: Panorama Tools. With hugin you can assemble a mosaic of photographs
+hugin: into a complete immersive panorama, stitch any series of overlapping
+hugin: pictures and much more.
+hugin:
+hugin: http://hugin.sourceforge.net/
+hugin:
+hugin:
+hugin: